#!/usr/bin/ksh
# Llamada Ejemplo: lanzascripts.sh  script_ejecutar.sql R
# Variable Entorno: segundo parametro de entrada, indicara en que entorno se quiere ejecutar el script:
# Los valores posibles son DRP, si se incluyen las tres (valor por defecto) se ejecuta en todos los entornos
# si se incluye por ejemplo R: se ejecuta solo en pruebas. 

if test $# -lt 2
then
	ENTORNO=DRP
else
	ENTORNO=$2
fi
# Inicializar variables
SCRIPT=$1
# MI_TIPO=35605  ad74a  35774
MI_TIPO=35772
XLNETS_OBJ=01

SALIDA=$?
if [ $SALIDA -gt 0 ]
then
  echo "ERROR obtenido parametros de conexion"
   exit 1
fi

APP=ad74a
DIR_LOGS=/datos/ad74a/log
DIR_SCRIPTS=/aplic/ad74a/scripts
FECHA_ACT=`date`
NOMBRE_FICHERO_LOGS=TRAZAS_LOG_$SCRIPT_$FECHA_ACT
FICHERO_LOGS=$DIR_LOGS/$NOMBRE_FICHERO_LOGS.log

# permisos n38
#. n38bd $MI_TIPO $XLNETS_OBJ STRING
. /aplic/n38/cade/n38bd $MI_TIPO $XLNETS_OBJ STRING
#echo $STRING

STAT=$?
if [ $STAT != 0 ]; then
   echo "El objeto de seguridad no es valido." >> $FICHERO_LOGS
   read resp
   exit 1
else
	INSTANCIA=`echo $STRING | cut -d '#' -f1`
    USUARIO=`echo $STRING |cut -d '#' -f2`
    PASSWORD=`echo $STRING |cut -d '#' -f3`
	
	echo $STRING
	echo $INSTANCIA
	echo $USUARIO
	echo $PASSWORD
fi


if [ "$INSTANCIA" = "ad74d" ]; then
	if [[ "$ENTORNO" == *"D"* ]]; then
		echo "Desarrollo"
		echo $DIR_SCRIPTS
		echo ${SCRIPT}
		sqlplus $USUARIO/$PASSWORD@$INSTANCIA @$DIR_SCRIPTS/${SCRIPT} >> $FICHERO_LOGS
		#sqlplus $USUARIO/$PASSWORD @$DIR_SCRIPTS/${SCRIPT} >> $FICHERO_LOGS
	fi
fi

if [ "$INSTANCIA" = "ad74pr" ]; then
	if [[ "$ENTORNO" == *"R"* ]]; then
		echo "Pruebas"
		sqlplus $USUARIO/$PASSWORD@$INSTANCIA @$DIR_SCRIPTS/${SCRIPT} >> $FICHERO_LOGS
	fi
fi

if [ "$INSTANCIA" = "ad74p" ]; then
	if [[ "$ENTORNO" == *"P"* ]]; then
		echo "Produccion"
		sqlplus $USUARIO/$PASSWORD@$INSTANCIA @$DIR_SCRIPTS/${SCRIPT} >> $FICHERO_LOGS
	fi
fi
exit
